* PACKAGE  ATIME 
*
*"  [HIS] 90/11/02(numaguti) 
*
*
*********************************************************************
      SUBROUTINE ACTIME      
     I         ( KT    , HUTIM  , HUTIMY,
     O           IT                      )
*
*    [INPUT]     
      INTEGER    KT                
      CHARACTER  HUTIM *(*)        
      CHARACTER  HUTIMY*(*)        
      INTEGER    IDELT
*    [OUTPUT]
      INTEGER    IT                
      ReaL*8       RT                
*
      CHARACTER  HUTIMI *4         
      CHARACTER  HUTIMO *4         
*
      CHARACTER  HUTIMS *4         
      INTEGER    IDELTS            
      DATA       HUTIMS / 'MIN' /
      DATA       IDELTS / 1800  /
      SAVE       HUTIMS, IDELTS
*
      IF ( HUTIM .EQ. '#' ) THEN
         HUTIMI = HUTIMS
      ELSE
         HUTIMI = HUTIM
      ENDIF
      IF ( HUTIMY.EQ. '#' ) THEN
         HUTIMO = HUTIMS
      ELSE
         HUTIMO = HUTIMY
      ENDIF
*
      CALL GUCT2I
     I         ( KT    , HUTIMI, HUTIMO, IDELTS ,
     O           IT                              )
*
      RETURN
*====================================================================
      ENTRY      ACTIMR       
     I         ( KT    , HUTIM  , HUTIMY,
     O           RT                      )
*
      IF ( HUTIM .EQ. '#' ) THEN
         HUTIMI = HUTIMS
      ELSE
         HUTIMI = HUTIM
      ENDIF
      IF ( HUTIMY.EQ. '#' ) THEN
         HUTIMO = HUTIMS
      ELSE
         HUTIMO = HUTIMY
      ENDIF
*
      CALL GZDBTR
     I         ( KT    , HUTIMI, HUTIMO, IDELTS ,
     O           RT                               )
*
      RETURN
*====================================================================
      ENTRY      AQUTIM      
     O         ( HUTIM )
*
      HUTIM = HUTIMS
*
      RETURN
*====================================================================
      ENTRY      ASUTIM      
     I         ( HUTIM )
*
      HUTIMS = HUTIM
*
      RETURN
*====================================================================
      ENTRY      ASDELT      
     I         ( IDELT )
*
      IDELTS = IDELT
*
      RETURN
      END
